Skip to main content
Register Watsonx Assistant Instance
curl --request POST \
  --url https://{api_endpoint}/api/v1/assistants/watsonx \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "config": {
    "assistant_id": "<string>",
    "environment_id": "<string>",
    "service_instance_url": "<string>",
    "intent": "<string>",
    "action_title": "<string>",
    "search_stickiness": false,
    "shareable_context": true,
    "hidden": false,
    "api_key": "<string>",
    "api_version": "2023-06-15",
    "auth_type": "BEARER_TOKEN",
    "auth_config": {},
    "authorization_url": "<string>",
    "crn": "<string>",
    "message_context": {},
    "connection_id": "<string>",
    "context_access_enabled": true,
    "context_variables": []
  },
  "title": "<string>",
  "tags": [
    "<string>"
  ],
  "name": "<string>",
  "nickname": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt

Use this file to discover all available pages before exploring further.

If only one of the fields name or nickname is provided, the system automatically generates the other based on the value you entered.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
description
string
required
config
WatsonAssistantConfigRequest · object
required
title
string | null
tags
string[] | null
name
string | null
nickname
string | null

Response

Successful Response